Issue 1023 Permission denied error after hitting ^C to get a lazy repo

Title Permission denied error after hitting ^C to get a lazy repo
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, eivuokko, jaredj, kirby, kowey, marlowsd, thorkilnaur, wglozer
Assigned To
Topics Windows

Created on 2008-08-19.14:30:40 by marlowsd, last changed 2009-08-27.14:18:44 by admin.

msg5602 (view) Author: simonmar Date: 2008-08-19.14:30:38
On Windows:

$ ./darcs.net/darcs get http://darcs.net/
This is the darcs darcs repository.
Directory 'c:/builds/darcs.net' already exists, creating repository as 
Copying patches, to get lazy repository hit ctrl-C...
Finished getting.
Exception thrown by an atexit registered action:
ba75111cc2bc43e867d3bdd17fcb5e7c1515-new: removeFile: permission denied 
(Permission denied)
msg6503 (view) Author: kirby Date: 2008-10-28.16:42:06
The following patch updated the status of issue1023 to be resolved:

* resolve issue1023: bracket file writing to prevent windows permission errors. 
Ignore-this: b457533b264b97952a52b8ab65d3de0b
Date User Action Args
2008-08-19 14:30:40marlowsdcreate
2008-08-19 14:40:53koweysetpriority: bug
nosy: + wglozer, eivuokko, jaredj
topic: + Windows
2008-10-28 16:42:07kirbysetstatus: unread -> resolved-in-unstable
nosy: + dmitry.kurochkin, kirby, simon, thorkilnaur
messages: + msg6503
2009-04-22 03:32:33twbsetstatus: resolved-in-unstable -> resolved
nosy: beschmi, kowey, wglozer, eivuokko, dagit, simon, thorkilnaur, jaredj, dmitry.kurochkin, marlowsd, kirby
2009-08-06 21:11:53adminsetnosy: - beschmi
2009-08-10 23:43:26adminsetnosy: - dagit
2009-08-25 17:32:56adminsetnosy: + darcs-devel, - simon
2009-08-27 14:18:44adminsetnosy: kowey, wglozer, darcs-devel, eivuokko, thorkilnaur, jaredj, dmitry.kurochkin, marlowsd, kirby